Bug 9056 - Add more translations to table language_descriptions
Summary: Add more translations to table language_descriptions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Marc Véron
QA Contact: Paul Poulain
URL:
Whiteboard:
Keywords:
Depends on: 8954
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-11 18:49 UTC by Marc Véron
Modified: 2015-06-04 23:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9056 - Add more translations to table language_descriptions (22.98 KB, patch)
2012-11-11 21:07 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9056 - Add more translations to table language_descriptions (23.08 KB, patch)
2012-11-17 22:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9056 - Add more translations to table language_descriptions (23.24 KB, patch)
2012-12-11 07:03 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2012-11-11 18:49:59 UTC
In table language_descriptions a lot of translations are missing (with the exception of French)

See http://irc.koha-community.org/irclog/koha/2012-11-11#i_1125026

Additions need to be added to subtag_registry.sql (for new installs) and to updatedatabase.pl (for upgrading).

Patch will follow to add German (and a couple of French) translations to the table. 

This Bug could be used as 'omnibus' for follow ups for other languages.
Comment 1 Marc Véron 2012-11-11 21:07:13 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-11-17 22:23:46 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2012-11-17 22:26:41 UTC
Hi Marc,
you changed only the en file - I think we need a follow up adding this to the subtag_registry.sql files in the other language directories. At the moment your translations will not get installed using the German installer.
Comment 4 Marc Véron 2012-11-20 10:53:30 UTC
From IRC:
http://irc.koha-community.org/irclog/koha/2012-11-20#i_1129863

(...)
Bug 8954 adds the functionallity to display the languages correctly in opac-search.pl and search.pl and Bug 9056 provides the information in the table language_descriptions. (Not all language names are translated into all langages)

(...)
We have the problem that the file subtag_registry.sql should be distributed to all installer folders (installer/data/mysql/[LANGUAGE]/mandatory), or the installer should always take it from installer/data/mysql/en/mandatory
Comment 5 Paul Poulain 2012-12-11 07:03:26 UTC
QA comment:
 * the C4/Languages.pm is really ugly, as it does a lot of SQL queries for each page (120 queries ?) I feel/fear that this patch will add a number of additional queries, slowing Koha more and more. And a complete patch would be a nightmare.
 * no other QA comment, this patch is a needed addition, not really an ENH (i changed the severity to minor)

passed QA
Comment 6 Paul Poulain 2012-12-11 07:03:53 UTC
Created attachment 13989 [details] [review]
Bug 9056 - Add more translations to table language_descriptions

In table language_descriptions a lot of translations are missing (with the exception of French)

Additions need to be added to subtag_registry.sql (for new installs) and to updatedatabase.pl (for upgrading).

This Bug could be used as 'omnibus' for follow ups for other languages.

This patch adds German (and some missing French) translations.

Tested updatedatabase.pl
Would appreciate if somebody could test subtag_registry.sql.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Tested both, the updatedatabase and the sql file. Works well.
Comment 7 Jared Camins-Esakov 2012-12-11 13:18:28 UTC
This patch has been pushed to master.
Comment 8 Katrin Fischer 2012-12-11 13:28:14 UTC
We still need a follow up for this adding the languages to the other translations.
Comment 9 Bernardo Gonzalez Kriegel 2014-03-30 05:24:59 UTC
Hi, could someone take a look at Bug 12017
Comment 10 Bernardo Gonzalez Kriegel 2014-11-02 02:24:44 UTC
(In reply to Katrin Fischer from comment #8)
> We still need a follow up for this adding the languages to the other
> translations.

On current master there is only one file for this.
I completed all languages/scripts/regions on Bug 12250,
but can add patches for 3.16/14/12 if needed.

Not sure about the status of this bug
Comment 11 Katrin Fischer 2014-11-02 08:22:22 UTC
I think we can close it :) If someone wants a complete file for the earlier versions, we can then deal with it.